CREATE TABLE hz_geo_name_references (
    GEO_NAME_REFERENCE_ID       NUMBER(18, 0),
    LOCATION_ID                 NUMBER(18, 0)    NOT NULL,
    GEOGRAPHY_ID                NUMBER(18, 0)    NOT NULL,
    LOCATION_TABLE_NAME         VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    GEOGRAPHY_TYPE              VARCHAR2(120)    NOT NULL,
    LOC_EFFECTIVE_START_DATE    DATE         ,
    LOC_EFFECTIVE_END_DATE      DATE         ,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    REQUEST_ID                  NUMBER(18, 0),
    PROGRAM_NAME                VARCHAR2(120),
    PROGRAM_APP_NAME            VARCHAR2(200),
    CONFLICT_ID                 NUMBER(18, 0)    NOT NULL,
    USER_LAST_UPDATE_DATE       TIMESTAMP(6) ,
    LEVEL_NUMBER                NUMBER(18, 0),
    GEO_NAME_REFERENCE_ID       NUMBER(18, 0),
    LOCATION_ID                 NUMBER(18, 0)    NOT NULL,
    GEOGRAPHY_ID                NUMBER(18, 0)    NOT NULL,
    LOCATION_TABLE_NAME         VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    GEOGRAPHY_TYPE              VARCHAR2(120)    NOT NULL,
    LOC_EFFECTIVE_START_DATE    DATE         ,
    LOC_EFFECTIVE_END_DATE      DATE         ,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    REQUEST_ID                  NUMBER(18, 0),
    PROGRAM_NAME                VARCHAR2(120),
    PROGRAM_APP_NAME            VARCHAR2(200),
    CONFLICT_ID                 NUMBER(18, 0)    NOT NULL,
    USER_LAST_UPDATE_DATE       TIMESTAMP(6) ,
    LEVEL_NUMBER                NUMBER(18, 0),
    CONSTRAINT pk_hz_geo_name_references PRIMARY KEY (GEO_NAME_REFERENCE_ID, GEO_NAME_REFERENCE_ID)
);
